Bug 12898 - в конфиге по умолчанию включены индексы
: в конфиге по умолчанию включены индексы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-25 10:52 by
Modified: 2009-05-10 09:33 (History)


Attachments
патч на конфиг httpd (548 bytes, patch)
2007-10-03 15:10, Timur Batyrshin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-25 10:52:14
У меня предложение поставить по умолчанию Option -Indexes, т.к. возможность
просмотра содержания каталога сайта -- потенциальная дыра в безопасности.
------- Comment #1 From 2007-09-25 15:50:04 -------
Не могу согласиться -- давайте обсудим в sysadmins@, осмысленно ли так
закручивать эту гайку по умолчанию?
------- Comment #2 From 2007-09-26 15:29:42 -------
(In reply to comment #1)
> Не могу согласиться -- давайте обсудим в sysadmins@, осмысленно ли так
> закручивать эту гайку по умолчанию?

Обсуждение в рассылке:
http://lists.altlinux.org/pipermail/sysadmins/2007-September/011596.html
... и дальше по цепочке.
------- Comment #3 From 2007-10-03 15:10:24 -------
Created an attachment (id=2217) [details]
патч на конфиг httpd

Учитывая результаты обсуждения, ставим Option -Indexes для корня.
------- Comment #4 From 2007-10-03 15:54:58 -------
А, ну да, для /home/*/public_html и так стоит
Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec
------- Comment #5 From 2007-10-04 22:50:29 -------
fixed in 1.3.39rusPL30.23-alt2
------- Comment #6 From 2007-10-17 18:54:20 -------
В apache2-2.2.6-alt5
(<http://git.altlinux.ru/people/solo/packages/?p=apache2.git;a=commit;h=8ac665f15b4550af4f466c25d72dca9e7eceb9cc>)
сделал также...